@charset "utf-8";

@media screen and (max-width: 750px) {
  .menu {
    position: fixed;
    z-index: 1000;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 0px;
    -webkit-transition: opacity 0.6s ease;
    transition: opacity 0.6s ease;
  }

  .menu--opened {
    width: 100%;
    height: 200px;
  }

  .menu--opened .menu__bg {
    visibility: visible;
    opacity: 1;
  }

  .menu--opened .menu__button {
    right: 10px;
    width: 60px;
    height: 60px;
    background-image: url('../images/menu/close.png');
  }

  .menu--opened .menu__list {
    height: 200px;
    bottom: 0;
    opacity: 1;
    overflow: visible;
  }

  .menu__bg {
    position: absolute;
    bottom: 0;
    left: 0;
    visibility: hidden;
    width: 100%;
    height: 200px;
    background: url('../images/menu/bg.png') repeat-x center 35px;
    opacity: 0;
    -webkit-transition: opacity 0.6s ease;
    transition: opacity 0.6s ease;
  }

  .menu__button {
    z-index: 10;
    position: fixed;
    top: 40px;
    right: 5px;
    width: 76px;
    height: 58px;
    background-image: url('../images/menu/menu.png');
    cursor: pointer;
  }

  .menu__list {
    position: absolute;
    bottom: 0;
    left: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    height: 200px;
    height: 0px;
    opacity: 0;
    -webkit-transition: all 0.6s ease-in-out;
    transition: all 0.6s ease-in-out;
    text-align: center;
    overflow: hidden;
  }

  .menu__list__item {
    display: inline-block;
    position: relative;
    width: 200px;
    height: 200px;
    background-repeat: no-repeat;
  }

  .menu__list__item a,
  .menu__list__item span {
    display: block;
    overflow: hidden;
    width: 100%;
    height: 0;
    padding-top: 100%;
    line-height: 2;
  }

  .menu__list__item--new::before {
    display: block;
    position: absolute;
    top: -10px;
    left: 50%;
	margin-left: -61px;
    width: 122px;
    height: 83px;
    background-image: url('../images/menu/new.png');
    background-repeat: no-repeat;
    content: '';
  }

  .menu__list__item--disable {
    opacity: 0.7;
  }

  .menu__list__item--top {
    background-image: url('../images/menu/top.png');
  }
  
  .menu__list__item--character {
    background-image: url('../images/menu/character.png');
  }

  .menu__list__item--comingsoon {
    background-image: url('../images/menu/comingsoon.png');
  }

}

@media screen and (min-width: 751px) {
  .menu {
    position: fixed;
    z-index: 1000;
    top: auto;
    bottom: 0;
    width: 100%;
    min-width: 1280px !important;
    height: 170px;
    background: url('../images/menu/bg.png') repeat-x center 15px;
    -webkit-transition: padding 0.3s ease;
    transition: padding 0.3s ease;
  }
  	.menu::before {
  		position: absolute;
  		content:"";
  		background: url(../images/menu/bg_left.png) no-repeat;
  		text-align: center;
  		top: 0;
  		left: 0;
  		width: 40px;
  		height: 177px;
		}
 	 .menu::after {
  		position: absolute;
  		content:"";
  		background: url(../images/menu/bg_right.png) no-repeat;
  		text-align: center;
 		 top: 0;
 		 right: 0;
  		width: 41px;
  		height: 177px;
}

  .menu--footer {
    position: absolute;
    bottom: 430px;
    padding-bottom: 20px;
  }

  .menu__button {
    display: none;
  }

  .menu__list {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    width: 875px;
    height: 193px;
    margin: 0 auto;
    margin-top: calc(180px - 193px);
    /*padding-top: 20px;*/
    font-size: 0;
    text-align: center;
  }

  .menu__list__item {
    display: inline-block;
    position: relative;
    width: 200px;
    height: 200px;
    margin: 0 20px;
    font-size: 12px;
    vertical-align: top;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
  }

  .menu__list__item a,
  .menu__list__item span {
    display: block;
    position: absolute;
    z-index: 10;
    top: 0;
    left: 0;
    overflow: hidden;
    width: 100%;
    height: 0;
    padding-top: 136px;
    line-height: 2;
  }

  .menu__list__item::before,.menu__list__item::after {
    display: block;
    position: absolute;
    top: 3px;
    left: 0;
    width: 100%;
    height: 200px;
    background-repeat: no-repeat;
    background-position: 0% 0%;
    content: '';
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
  }

  .menu__list__item::before {
    opacity: 1;
  }

  .menu__list__item::after {
    opacity: 0;
  }

  .menu__list__item:hover {
    margin-top: 5px;
  }

  .menu__list__item:hover::before {
    opacity: 1;
  }

  .menu__list__item:hover::after {
    opacity: 1;
  }

  .menu__list__item--new::before {
    display: block;
    position: absolute;
    top: -10px;
    left: 50%;
	margin-left: -61px;
    width: 122px;
    height: 83px;
    background-image: url('../images/menu/new.png');
    background-repeat: no-repeat;
    content: '';
  }

  .menu__list__item--disable {
    opacity: 0.7;
  }

  .menu__list__item--disable a {
    cursor: default;
  }

  .menu__list__item--disable:hover {
    margin-top: 0;
    opacity: 0;
  }
  .menu__list__item--comingsoon:hover {
    margin-top: 0;
  }
  .menu__list__item--top {
    background-image: url('../images/menu/top.png');
  }
  .menu__list__item--character {
    background-image: url('../images/menu/character.png');
  }

  .menu__list__item--comingsoon {
    background-image: url('../images/menu/comingsoon.png');
  }
}
